Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.control
Class ControlException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.bea.control.ControlException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ControlException, ProcessControlException

    public class ControlException

extends RuntimeException

An exception class for use when throwing exceptions from a control. It is recommended that you wrap exceptions thrown by a control in a ControlException. This class provides a means for adding exceptions that may have been received by your control.
For more information on building Java controls, see Building Custom Java Controls.

See Also:
  Serialized Form

Constructor Summary
`ControlException(String message)` Constructs a ControlException object with the specified String as a message.
`ControlException(String message, Throwable t)` Constructs a ControlException object using the specified String as a message, and the specified Throwable as a nested exception.

Method Summary
`Throwable` | `getNestedException()` Retrieves an exception nested within this exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ControlException

    public ControlException(String message)

  Constructs a ControlException object with the specified String as a message.

  Parameters:
    `message` - The message to use.

### ControlException

    public ControlException(String message,
                            Throwable t)

  Constructs a ControlException object using the specified String as a message, and the specified Throwable as a nested exception.

  Parameters:
    `message` - The message to use.
    `t` - The exception to nest within this exception.

Method Detail

### getNestedException

    public Throwable getNestedException()

  Retrieves an exception nested within this exception.

  Returns:
    The nested exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD